Index: network-manager-applet-1.8.2/src/libnm-gtk/nm-ui-utils.c
===================================================================
--- network-manager-applet-1.8.2.orig/src/libnm-gtk/nm-ui-utils.c
+++ network-manager-applet-1.8.2/src/libnm-gtk/nm-ui-utils.c
@@ -868,8 +868,10 @@ nma_utils_setup_password_storage (GtkWid
 	gtk_menu_attach_to_widget (GTK_MENU (popup_menu), passwd_entry, NULL);
 
 	/* Initialize active item for password-storage popup menu */
-	if (setting && password_flags_name)
-		nm_setting_get_secret_flags (setting, password_flags_name, &secret_flags, NULL);
+	if (setting && password_flags_name) {
+		if (!nm_setting_get_secret_flags (setting, password_flags_name, &secret_flags, NULL))
+			secret_flags = initial_flags;
+	}
 	else
 		secret_flags = initial_flags;
 
Index: network-manager-applet-1.8.2/src/wireless-security/eap-method-leap.c
===================================================================
--- network-manager-applet-1.8.2.orig/src/wireless-security/eap-method-leap.c
+++ network-manager-applet-1.8.2/src/wireless-security/eap-method-leap.c
@@ -241,7 +241,7 @@ eap_method_leap_new (WirelessSecurity *w
 	/* Create password-storage popup menu for password entry under entry's secondary icon */
 	if (connection)
 		s_8021x = nm_connection_get_setting_802_1x (connection);
-	nma_utils_setup_password_storage (widget, 0, (NMSetting *) s_8021x, method->password_flags_name,
+	nma_utils_setup_password_storage (widget, NM_SETTING_SECRET_FLAG_AGENT_OWNED, (NMSetting *) s_8021x, method->password_flags_name,
 	                                  FALSE, secrets_only);
 
 	widget = GTK_WIDGET (gtk_builder_get_object (parent->builder, "show_checkbutton_eapleap"));
Index: network-manager-applet-1.8.2/src/wireless-security/eap-method-simple.c
===================================================================
--- network-manager-applet-1.8.2.orig/src/wireless-security/eap-method-simple.c
+++ network-manager-applet-1.8.2/src/wireless-security/eap-method-simple.c
@@ -340,7 +340,7 @@ eap_method_simple_new (WirelessSecurity
 	/* Create password-storage popup menu for password entry under entry's secondary icon */
 	if (connection)
 		s_8021x = nm_connection_get_setting_802_1x (connection);
-	nma_utils_setup_password_storage (widget, 0, (NMSetting *) s_8021x, method->password_flags_name,
+	nma_utils_setup_password_storage (widget, NM_SETTING_SECRET_FLAG_AGENT_OWNED, (NMSetting *) s_8021x, method->password_flags_name,
 	                                  FALSE, flags & EAP_METHOD_SIMPLE_FLAG_SECRETS_ONLY);
 
 	g_signal_connect (method->password_entry, "notify::secondary-icon-name",
Index: network-manager-applet-1.8.2/src/wireless-security/ws-leap.c
===================================================================
--- network-manager-applet-1.8.2.orig/src/wireless-security/ws-leap.c
+++ network-manager-applet-1.8.2/src/wireless-security/ws-leap.c
@@ -185,7 +185,7 @@ ws_leap_new (NMConnection *connection, g
 	                  sec);
 
 	/* Create password-storage popup menu for password entry under entry's secondary icon */
-	nma_utils_setup_password_storage (widget, 0, (NMSetting *) wsec, sec->password_flags_name,
+	nma_utils_setup_password_storage (widget, NM_SETTING_SECRET_FLAG_AGENT_OWNED, (NMSetting *) wsec, sec->password_flags_name,
 	                                  FALSE, secrets_only);
 
 	if (wsec)
Index: network-manager-applet-1.8.2/src/wireless-security/ws-wep-key.c
===================================================================
--- network-manager-applet-1.8.2.orig/src/wireless-security/ws-wep-key.c
+++ network-manager-applet-1.8.2/src/wireless-security/ws-wep-key.c
@@ -282,7 +282,7 @@ ws_wep_key_new (NMConnection *connection
 	/* Create password-storage popup menu for password entry under entry's secondary icon */
 	if (connection)
 		setting = (NMSetting *) nm_connection_get_setting_wireless_security (connection);
-	nma_utils_setup_password_storage (widget, 0, setting, sec->password_flags_name,
+	nma_utils_setup_password_storage (widget, NM_SETTING_SECRET_FLAG_AGENT_OWNED, setting, sec->password_flags_name,
 	                                  FALSE, secrets_only);
 
 	if (connection) {
Index: network-manager-applet-1.8.2/src/wireless-security/ws-wpa-psk.c
===================================================================
--- network-manager-applet-1.8.2.orig/src/wireless-security/ws-wpa-psk.c
+++ network-manager-applet-1.8.2/src/wireless-security/ws-wpa-psk.c
@@ -203,7 +203,7 @@ ws_wpa_psk_new (NMConnection *connection
 	/* Create password-storage popup menu for password entry under entry's secondary icon */
 	if (connection)
 		setting = (NMSetting *) nm_connection_get_setting_wireless_security (connection);
-	nma_utils_setup_password_storage (widget, 0, setting, sec->password_flags_name,
+	nma_utils_setup_password_storage (widget, NM_SETTING_SECRET_FLAG_AGENT_OWNED, setting, sec->password_flags_name,
 	                                  FALSE, secrets_only);
 
 	/* Fill secrets, if any */
